<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/md_grey_100"
    android:orientation="vertical">

    <ScrollView
        android:id="@+id/ll_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingLeft="10dp"
                android:paddingRight="10dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="码托类型：" />

                    <com.fxy.baselibrary.views.MarqueeTextView
                        style="@style/mtRightStyle"
                        android:id="@+id/mt_container_type"
                        />
                </LinearLayout>

            </LinearLayout>
            <View
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:background="@color/md_grey_100" />

            <LinearLayout
                android:id="@+id/ll_container"
                style="@style/FromLinearLayoutItem"
                android:orientation="horizontal">
                <EditText
                    style="@style/EditTextStyle"
                    android:id="@+id/et_container_code"
                    android:hint="@string/hint_please_scan_container_code"
                    android:text=""/>

                <ImageButton
                    android:id="@+id/ib_container_code_clear"
                    style="@style/ClearImg"
                    />


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />
            <LinearLayout
                android:id="@+id/ll_weight"
                style="@style/FromLinearLayoutItem">
                <EditText
                    android:id="@+id/et_weight"
                    style="@style/EditTextStyle"
                    android:inputType="numberDecimal|number"
                    android:hint="@string/hint_please_edit_weight" />
                <TextView
                    android:id="@+id/tv_weight_unit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:textSize="@dimen/t24"
                    android:text="KG">
                </TextView>
            </LinearLayout>
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />
            <LinearLayout
                android:id="@+id/ly_measure_content"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                >

                <EditText
                    android:id="@+id/et_length"
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_white_et"
                    android:gravity="center"
                    android:hint="@string/hint_length"
                    android:inputType="numberDecimal|number"
                    android:imeOptions="actionDone"
                    android:padding="5dp"
                    android:singleLine="true"
                    android:textSize="@dimen/t24" />
                <EditText
                    android:id="@+id/et_width"
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/bg_white_et"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:gravity="center"
                    android:hint="@string/hint_width"
                    android:inputType="numberDecimal|number"
                    android:imeOptions="actionDone"
                    android:padding="5dp"
                    android:singleLine="true"
                    android:textSize="@dimen/t24" />
                <EditText
                    android:id="@+id/et_height"
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/bg_white_et"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:gravity="center"
                    android:hint="@string/hint_height"
                    android:inputType="numberDecimal|number"
                    android:imeOptions="actionDone"
                    android:padding="5dp"
                    android:singleLine="true"
                    android:textSize="@dimen/t24" />
                <TextView
                    android:id="@+id/tv_size_unit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:text="CM"
                    android:textColor="@color/black_3d3d3d"
                    android:textSize="@dimen/t24" />

            </LinearLayout>
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />



            <LinearLayout
                android:id="@+id/ll_unique_code"
                style="@style/FromLinearLayoutItem"
                android:orientation="horizontal">
                <EditText
                    style="@style/EditTextStyle"
                    android:id="@+id/et_unique_code"
                    android:hint="请输入唯一码"
                    android:text=""/>

                <ImageButton
                    android:id="@+id/ib_unique_code_clear"
                    style="@style/ClearImg"
                    />


            </LinearLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />





            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_4"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="10dp">
                <TextView
                    style="@style/fontSize"
                    android:id="@+id/btn_confirm"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_orange_item"
                    android:gravity="center"
                    android:text="提交"
                    android:padding="10dp"
                    android:textColor="@color/white"
                    android:visibility="visible" />
            </LinearLayout>

        </LinearLayout>
    </ScrollView>
    <include layout="@layout/item_float_image" />
</LinearLayout>